﻿using System;
using System.Collections.Generic;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace SimpleMemoryLeak
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void simulateLeak_Click(object sender, RoutedEventArgs e)
        {
            SimulateLeak();
        }

        private void cleanUp_Click(object sender, RoutedEventArgs e)
        {
            CleanUp();
        }

        private List<byte[]> buffer = new List<byte[]>();

        private void SimulateLeak(){
            buffer.Add(new byte[10 * 1024 * 1024]);
        }

        private void CleanUp(){
            buffer.Clear();
            GC.Collect();
            GC.WaitForPendingFinalizers();
            GC.Collect();
            GC.WaitForPendingFinalizers();
        }

    }
}
